using Cirno.Scripts.Enums;
using Godot;

namespace Cirno.Scripts.Components.FSM.Elevator;

public partial class Init : BaseState<ElevatorState, ElevatorProxy>
{
    public override ElevatorState StateId => ElevatorState.Init;
    public override void EnterState()
    {
        MainObject.StateMachine = StateMachine;

        MainObject.TopBody.Position = MainObject.Top;
        
        StateMachine.SetState(MainObject.StartingState);
    }

    public override void ExitState()
    {
        
    }
}